Subject: bug#42300: Visual bug in diff-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Aug 2020 17:33:49 +0200

Stefan Kangas <[email-masked]> writes:

> I can reproduce this on current master, and verify that the below change
> fixes it.
>
> I'm not that familiar with diff-mode.ela nor font-locking so it's better
> that someone else takes a look and installs the fix.

I'm not very familiar with that, either, but it seems "obviously
correct", if I understand that code correctly.  So I went ahead and
pushed it to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no